/*----------------------------------------------------------------------- 
 * 
 * File Name: ArrayFactories.c
 * 
 * Revision: $Id: ArrayFactories.m4,v 1.1 2000/04/17 23:22:42 jolien Exp $
 * 
 *----------------------------------------------------------------------- 
 * 
 * SYNOPSIS 
 * void TYPECODECreateArray( Status *, TYPEArray **array, UINT4Vector *dimlength );
 * void TYPECODEDestroyArray( Status *, TYPEArray **array);
 * 
 * DESCRIPTION 
 * Create/destroy a TYPEArray object. 
 * 
 * DIAGNOSTICS 
 * Illegal length, array == NULL, *array != NULL, malloc failure
 *
 * CALLS
 * LALMalloc
 * LALFree
 * 
 *-----------------------------------------------------------------------
 */

#include <string.h>
#include "LALStdlib.h"
#include "AVFactories.h"

NRCSID( ARRAYFACTORIESC, "$Id: ArrayFactories.m4,v 1.1 2000/04/17 23:22:42 jolien Exp $" );

define(`TYPECODE',`Z')
include(`CreateArray.m4')
include(`DestroyArray.m4')

define(`TYPECODE',`C')
include(`CreateArray.m4')
include(`DestroyArray.m4')

define(`TYPECODE',`D')
include(`CreateArray.m4')
include(`DestroyArray.m4')

define(`TYPECODE',`S')
include(`CreateArray.m4')
include(`DestroyArray.m4')

define(`TYPECODE',`I2')
include(`CreateArray.m4')
include(`DestroyArray.m4')

define(`TYPECODE',`I4')
include(`CreateArray.m4')
include(`DestroyArray.m4')

define(`TYPECODE',`I8')
include(`CreateArray.m4')
include(`DestroyArray.m4')

define(`TYPECODE',`U2')
include(`CreateArray.m4')
include(`DestroyArray.m4')

define(`TYPECODE',`U4')
include(`CreateArray.m4')
include(`DestroyArray.m4')

define(`TYPECODE',`U8')
include(`CreateArray.m4')
include(`DestroyArray.m4')

define(`TYPECODE',`')
include(`CreateArray.m4')
include(`DestroyArray.m4')
